sampAssayPlotDefaults {iSEE} | R Documentation

## Sample assay plot defaults

### Description

Create default settings for sample assay plot panels in the iSEE interface.

### Usage

    sampAssayPlotDefaults(se, number)

### Arguments

`se` | A SummarizedExperiment object.
`number` | An integer scalar, specifying the maximum number of sample assay plots that can be added to the interface.

### Details

Parameters available to sample assay plots are:

`YAxisSampName`:

  Integer, which column of `se` should be shown on the y-axis? Defaults to 1, i.e., the first column. Alternatively, a character field can be supplied containing the name of the column.

`YAxisColTable`:

  Character, what column statistics table should be used to choose a sample to display on the y-axis? Any setting will override `YAxisSampName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

`Assay`:

  Integer, which assay should be used to supply the expression values shown on the y-axis? Defaults to 1, i.e., the first assay in `se`. Alternatively, a string can also be supplied containing the name of the assay, if `assays(se)` has names.

`XAxis`:

  Character, what variable should be shown on the x-axis? Defaults to `"None"`, but can also be `"Row data"` or `"Sample name"`.

`XAxisRowData`:

  Character, which column of `rowData(se)` should be shown on the x-axis if `XAxis="Row data"`? Defaults to the first entry of `rowData(se)`.

`XAxisSampName`:

  Integer, which column of `se` should be shown on the x-axis? Defaults to 2 if `se` contains multiple columns, otherwise it is set to 1. Alternatively, a character field can be supplied containing the name of the column.

`XAxisColTable`:

  Character, what column statistics table should be used to choose a sample to display on the x-axis, if `XAxis="Sample name"`? Any setting will override `XAxisSampName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

All row-based parameters described in `?"iSEE point parameters"` are applicable. All plot-based parameters described in `?"iSEE selection parameters"` are applicable.

### Value

A DataFrame containing default settings for parameters of each of `number` sample assay panels.

### Author(s)

Charlotte Soneson

### See Also

`?"iSEE point parameters"`, `?"iSEE selection parameters"`

### Examples

    example(SingleCellExperiment, echo=FALSE) # mock up 'sce'.
    sampAssayPlotDefaults(sce, n=1)

[Package iSEE version 1.6.1 Index]